Bug 146785 - CAN-2005-0241 Correct handling of oversized reply headers
Summary: CAN-2005-0241 Correct handling of oversized reply headers
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20050131
Keywords: Security
Depends On:
Blocks: 142822
TreeView+ depends on / blocked
 
Reported: 2005-02-01 16:49 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-02-15 09:37:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:060 high SHIPPED_LIVE Important: squid security update 2005-02-15 05:00:00 UTC

Description Josh Bressers 2005-02-01 16:49:13 UTC
*** This bug has been split off bug 146780 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.01
11:42 -------

This patch addresses a HTTP protocol mismatch related to oversized reply
headers. In addition it enhances the cache.log reporting on reply header parsing
failures to make it easier to track down which sites are malfunctioning.

The upstream patch for this issue is here:
http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-oversize_reply_headers.patch

Comment 1 Josh Bressers 2005-02-09 14:40:04 UTC
This issue can lead to squid cache pollution.

Comment 2 Mark J. Cox 2005-02-15 09:37:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-060.html



Note You need to log in before you can comment on or make changes to this bug.